Bug 526419 - SELinux: permission module_request in class system not found in policy, bad policy
Summary: SELinux: permission module_request in class system not found in policy, bad ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 07:50 UTC by Quentin Armitage
Modified: 2009-10-05 13:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-05 13:28:41 UTC
Type: ---


Attachments (Terms of Use)

Description Quentin Armitage 2009-09-30 07:50:36 UTC
Description of problem:
The following is reported in /var/log/dmesg:
dracut: Loading SELinux policy
SELinux: 8192 avtab hash slots, 137829 rules.
SELinux: 8192 avtab hash slots, 137829 rules.
SELinux:  8 users, 12 roles, 2861 types, 129 bools, 1 sens, 1024 cats
SELinux:  75 classes, 137829 rules
SELinux:  permission module_request in class system not found in policy, bad policy
SELinux:  the definition of a class is incorrect
dracut: SELinux: Could not load policy file /etc/selinux/targeted/policy/policy.24: Invalid argument
dracut: /sbin/load_policy: Can't load policy: Invalid argument
dracut: Switching root


Version-Release number of selected component (if applicable):
dracut-002-8.git845dd502.fc12.noarch
kernel-2.6.31.1-48.fc12.i686
libselinux-debuginfo-2.0.87-1.fc12.i686
libselinux-2.0.87-1.fc12.i686
libselinux-python-2.0.87-1.fc12.i686
selinux-policy-3.6.32-11.fc12.noarch
selinux-policy-targeted-3.6.32-11.fc12.noarch
libselinux-devel-2.0.87-1.fc12.i686
libselinux-utils-2.0.87-1.fc12.i686

How reproducible:
Always

Steps to Reproduce:
1.Reboot system
2.
3.
  
Actual results:
Error messages in /var/log/dmesg as above, and  
SELinux:  permission module_request in class system not found in policy, bad policy
SELinux:  the definition of a class is incorrect

alse
getenforce shows Disabled

Expected results:
No error messages and getenforce shows Permissive

Additional info:

Comment 1 Daniel Walsh 2009-09-30 14:19:35 UTC
Try 

yum -y remove BackupPC
yum -y reinstall selinux-policy-targeted
yum install BackupPC (If you actually want it.)

Comment 2 Quentin Armitage 2009-10-04 11:57:34 UTC
The above resolved the problem for me. Many thanks.


Note You need to log in before you can comment on or make changes to this bug.